We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Maps library is a geographical data visualization tool for rendering maps from GeoJSON data or other map providers like OpenStreetMap, Google Maps, and Bing Maps. Its rich feature set includes markers, labels, bubbles, navigation lines, legends, tooltips, zooming, panning, drill down, and more.


Why choose Syncfusion Angular Maps library?

Angular Maps customization

Easy to customize

To visualize a geometric shape in SVG format in Maps, you can bind GeoJSON data to it. GeoJSON data is light and simple to read. You can render a world map or a US map and alter it with the Angular Maps control’s built-in options to achieve the required layout.

Angular Maps geospatial imaging

Geospatial imaging services

Works with services like Google Maps, Bing Maps, and OpenStreetMap to view satellite, aerial, and street maps by locating map data quickly without the use of any external shape inputs.

Angular Maps markers and bubbles

Markers and bubbles

Markers are notes on maps that indicate specific latitude and longitude points using symbols. Bubbles are used to convey additional information about shapes such as population density and land area.

Angular Maps multilayers

Multiple geometric layers

A map with several geometric layers in a single view can be generated with sublayers. You can render the geographic elements of a country, such as rivers and valleys, as a sublayer. Each layer can be drilled.

Angular Maps adaptive layout

Adapts to any resolution

Maps has a highly responsive layout and an optimized design for desktops, touchscreens, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Angular Maps projections

Custom projections

The Angular Maps component supports Mercator, rectangular, Miller, Eckert 3, Eckert 5, Eckert 6, and Winkel 3 projections.

Angular Maps zooming and panning

Zooming and panning

Zooming and panning in Angular Maps are fast. Zoom the map by scrolling the mouse wheel, clicking the shapes, or using the zooming toolbar. Pan the map to navigate among regions easily.

Angular Maps globalization

Globalization and localization

An internationalization library is used to globalize number, date, and time values in Maps. All the strings used in the Maps user interface can be localized by users as needed. Localizing UI strings involves using the localization (l10n) library.


Angular Maps library code example

Easily get started with Angular Maps library using a few simple lines of HTML and TS code, as demonstrated below. Also explore our Angular Maps library example that shows you how to render maps.

<ejs-maps id='container'>
  <e-layers>
    <e-layer [shapeData] = 'shapeData' [dataSource]='dataSource' [shapePropertyPath]='shapePropertyPath' [shapeDataPath]='shapeDataPath' [shapeSettings]='shapeSettings'>
    </e-layer>
  </e-layers>
</ejs-maps>
import { Component } from '@angular/core';
import { world_map } from 'src/app/world_map';

@Component({
  selector: 'app-root',
  // Specifies the template string for the maps component.
  templateUrl: './app.component.html',
})
export class AppComponent {
    public shapeData: object = world_map;
    public dataSource: object =[
        { "Country": "China", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "United States", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "United Kingdom", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "Germany", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "Italy", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "India", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "Australia", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "Japan", "Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "France","Membership": "Permanent", "Color": "#feb24c" },
        { "Country": "Russia","Membership": "Permanent", "Color": "#feb24c"},
        { "Country": "Kazakhstan","Membership": "Non-Permanent", "Color": "#f03b20"},
        { "Country": "Poland","Membership": "Non-Permanent", "Color": "#f03b20"},
        { "Country": "Sweden","Membership": "Non-Permanent", "Color": "#f03b20"},
        { "Country": "South Africa","Membership": "Non-Permanent", "Color": "#f03b20"}];
    public shapePropertyPath: string = 'name';
    public shapeDataPath: string = 'Country';
    public shapeSettings: object = {
        fill: '#E5E5E5',
        colorValuePath: 'Color'
    }
}

GeoJSON layer

Bind GeoJSON data to maps to render any geometric shape in SVG (Scalable Vector Graphics) to visualize data. For example, render the world map or US map and customize it to the desired look using built-in options in the Angular Maps component. Add any number of layers to the maps.

Angular Maps library binding GeoJSON data


Angular Maps rendered with geometry types over an OpenStreetMap map

Geometry types

GeoJSON data contains geometry objects with properties such as geometry types and coordinates. The geometry types are the values present in the geometry objects of the GeoJSON data that specify the type of shape to be rendered, along with the coordinates that help draw the shape’s boundary line. Polygon, MultiPolygon, LineString, MultiLineString, Point, MultiPoint, and GeometryCollection are the supported geometry types.


Geo-imagery visuals

Built-in support for external geospatial imagery services, such as Bing Maps and OpenStreetMap, is used to visualize satellite, aerial, and street maps, or other kinds of imagery tiles without any external shape inputs. In addition to Bing Maps and OpenStreetMap, users can also render maps from various map providers, for example, Google Maps Tile API, TomTom, Mapbox, and Esri’s ArcGIS. By using these external services, map data can be located easily.

Angular Maps library geo-imagery visuals


Angular Maps with multiple layers

Multi-layers

Using sublayers, an Angular map can be created with multiple geometric layers in a single view. For example, render additional geographic features of a country such as rivers, valleys, and more as sublayers. You can also drill down in each layer.


Marker

Denote a place with symbols or mark messages at the desired latitude and longitude on a map using markers. For example, indicate a particular place on a US map using a balloon marker shape. Also, place any HTML element as a marker and add multiple markers to the map.

Angular Maps with multiple markers


Angular Maps rendered with marker clustering option

Marker clustering

Display multiple markers in the same location by clustering them. For example, use markers to indicate the top 50 cities in the world. If a marker overlaps another, they will be clustered, and the total number of markers will be displayed over the cluster.


Marker drag and drop

Drag and drop markers to reposition them in the map. After dragging and dropping markers, the marker data source and elements such as marker shape, color, legend, and tooltip content can be changed using supported events.

Angular Maps with marker drag and drop option


Angular Maps with data labels

Data labels

Data labels on the map provide identification for the shapes by displaying their names. Trim or hide the labels at intersections with other labels and when they exceed shape bounds.


Bubble

Create a simple Angular Map with bubbles to represent additional information about shapes such as population density, land area, and more. Bubbles are rendered with various magnitudes and colors based on the underlying data values of the shape.

Multiple bubbles rendered in Angular Map


Angular Maps rendered with navigation lines

Denote flight routes or ship routes between two places on a geographic map with connector lines. The lines can also be curved.


Color mapping

Categorize the shapes on a map by customizing their color based on the underlying values. The Angular Maps component supports three types of color mapping: range color mapping, equal color mapping, and desaturation color mapping.

Range color mapping applied to the shapes in Angular Maps

Range color mapping

Apply colors to the shapes by comparing their values with a desired numeric range. For example, apply colors to states in the US based on population density.

Equal color mapping applied to the shapes in Angular Maps

Equal color mapping

Differentiate a shape’s fill based on its underlying values and colors by using equal color mapping. For example, apply colors to states in the US based on a winning political candidate.

Desaturation color mapping applied to the shapes in Angular Maps

Desaturation color mapping

Change the opacity of the shapes by comparing their values with a desired numeric range. Minimum and maximum opacity of the shapes can be customized.

Desaturation color mapping with multiple colors applied to the shapes in Angular Maps

Desaturation with multiple colors

Apply multiple colors to a shape from a gradient by comparing values with a desired numeric range. Any number of colors can be specified for creating the gradient.


Legend

Legends provide valuable information for interpreting a map by explaining colors, shapes, or other identifiers based on the data visualized. The Angular Maps component supports two types of legends: default and interactive.

Angular Maps rendered with default legend items

Default

A map with a legend contains swatches of symbols with descriptions to denote the categories of shapes.

Angular Maps rendered with interactive legend

Interactive

Use a map with an interactive legend to find the range of an underlying shape’s value on mouse hover.


Zooming and panning

Zoom the Angular Map for close-up analysis by pinching the map, scrolling the mouse wheel, clicking the shapes, or by using zooming toolbar; and pan the map for easy navigation across regions. Also change the zoom level of the initial rendering.

Zooming and panning enabled in Angular Maps


Displays a tooltip on moving mouse over the Angular Maps

Tooltip

The tooltip displays details about the shape value on mouse hover. Tooltips are also displayed for markers and bubbles on a map.


Drill down

Drill down in the rendered Angular Maps to display shape data located on another layer. For example, the initial layer may render the world map and on clicking a particular continent, the continent alone will render separately on another layer.

Angular Maps is rendered with multiple layers and enabled drill-down option


Specific shape selected in the rendered Angular Maps

Selection and highlight

Select a particular shape on mouse click or highlight on mouse hover to bring the focus to the other shapes on a map.


Custom shapes

Create an Angular Map with custom shapes by rendering personalized GeoJSON data to indicate building infrastructure, points of interest, flight seat arrangement, sports stadiums, and more.

Bus seat selection simulated in Angular Maps


Angular Maps rendered with an annotation that displays a compass image

Annotation

Display any HTML element as an annotation at a specific point of interest on a map. For example, place a compass image on the map using annotation. You can also add multiple annotations to a map.


Projection

Change the projection of the default rendering map based your requirements. The Angular Maps component supports various types of projections, namely Mercator, Equirectangular, Miller, Eckert 3, Eckert 5, Eckert 6, Winkel 3, and Aitoff.


Angular Maps rendered with title and subtitle

Title and subtitle

Add a title and subtitle to visualize additional information on the maps. Fonts and alignment used in the title and subtitle can also be customized.


Appearance

Customize the look and feel of an Angular Map by changing the fill color, background, border, and opacity of shapes. Almost all the elements in Angular Maps are customizable. The component also provides built-in palettes with customizable options by default.

Angular Maps rendered with customized appearance


State persistence with Angular Maps library

State persistence

State persistence allows the Maps component to maintain state by storing the most recent model value in browser cookies. When the appropriate setting is enabled, some of the Maps component model values are preserved even after the page is refreshed.


Exporting

Export or print the rendered Angular Maps to save a local copy for further use.

Export Angular Maps illustration

Export

Export the Angular Maps to a PDF document or in image formats such as SVG, PNG, and JPEG on the client side.

Print Angular Maps illustration

Print

Print the rendered Angular Maps directly from the browser.


Accessibility

Keyboard navigation in Angular Maps library

Keyboard navigation

The Angular Maps library ensures that every element is keyboard accessible. Major features like zooming, panning, shape selection, legend, and drill down can be performed using just keyboard shortcuts, no mouse interaction required. This helps in creating highly accessible applications.

Accessibility in Angular Maps library

Accessibility

The Angular Maps library has complete WAI-ARIA accessibility support. The Maps UI includes high-contrast visual elements that help visually impaired people have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.



Angular version compatibility

With continuous improvement in Angular versions, the Angular Maps library is kept up to date to make it compatible with the latest version.

Angular version compatibility




Other supported frameworks

Maps is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Maps platforms from the links below:

Supported browsers

The Angular Maps library works well with all modern web browsers, such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers

80+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion Angular Maps library supports the following features:

  • Render geometric or custom shapes using GeoJSON data.
  • Render maps from map providers like Bing Maps, OpenStreetMap, and Google Maps.
  • Add markers on maps at the specified latitude and longitude.
  • Fast-paced performance on zooming and panning with elegant animation.
  • One of the best Angular Maps components on the market, offering a feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Touch-friendly and responsive.
  • Expansive learning resources such as demos and documentation help you learn quickly and get started with Angular Maps fast.

You can find our Angular Maps library demo here. It demonstrates how to render and configure the Maps component.

No, this is a commercial product and requires a paid license. However, a free Community License is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon
Live Chat Icon For mobile

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Maps Library is a geographical data visualization tool for rendering maps from GeoJSON data or other map providers like OpenStreetMap, Google Maps, Bing Maps, etc. Its rich feature set includes markers, labels, bubbles, navigation lines, legends, tooltips, zooming, panning, drill down, and more.


Why choose Syncfusion React Maps Library?

React Maps customization

Easy to customize

To visualize a geometric shape in SVG format in Maps, you can bind GeoJSON data to it. It’s light and simple to read. You can render a world map or a U.S. map and alter it with the React Maps control’s built-in options to achieve the required layout.

React Maps Geospatial imaging

Geospatial imaging services

Works with services like Google Maps, Bing maps and OpenStreetMap to view satellite, aerial, and street maps by locating map data quickly without the use of any external shape inputs.

React Maps marker and bubbles

Markers and bubbles

Markers are notes on maps that indicate specific latitude and longitude points using symbols. Bubbles are used to convey additional information about shapes such as population density and land area. Circle and square bubbles are available.

React Maps multiple layers

Multiple geometric layers

A Map with several geometric layers in a single view can be generated with sub layers. You can render the geographic elements of a country, such as rivers and valleys, as a sublayer. Each layer can be drilled.

React Maps adaptive layout

Adapts to any resolution

Maps has a highly responsive layout and an optimized design for desktops, touchscreens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React Maps projections

Custom projections

The React Maps component supports Mercator, rectangular, Miller, Eckert3, Eckert5, Eckert6, and Winkel3 projections.

React Maps zooming

Zooming and panning

Zooming and panning in React Maps are fast. Zoom the map by scrolling the mouse wheel, clicking the shapes, or using the zooming toolbar. Pan the map to navigate among regions easily.

React Maps Globalization

Globalization and localization

An Internalization library is used to globalize number, date, and time values in Maps. All the strings used in the Maps user interface can be localized by users as needed. Localizing UI strings involves using the localization (l10n) library.


React Maps Library Code Example

Easily get started with React Maps component using a few simple lines of TSX code, as demonstrated in the following. Also explore our React Maps Library example, which shows you how to render Maps in React.

import * as React from 'react';
import { world_map } from './world_map';
import { MapsComponent, LayersDirective, LayerDirective } from '@syncfusion/ej2-react-maps';

class App extends React.Component {
    render() {
        return (<MapsComponent id="maps">
                <LayersDirective>
                <LayerDirective shapeData={world_map} dataSource= {
                   [{ "Country": "China", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "United States", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "United Kingdom", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "Germany", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "Italy", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "India", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "Australia", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "Japan", "Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "France","Membership": "Permanent", "Color": "#feb24c" },
                   { "Country": "Russia","Membership": "Permanent", "Color": "#feb24c"},
                   { "Country": "Kazakhstan","Membership": "Non-Permanent", "Color": "#f03b20"},
                   {"Country": "Poland","Membership": "Non-Permanent", "Color": "#f03b20"},
                   { "Country": "Sweden","Membership": "Non-Permanent", "Color": "#f03b20"},
                   { "Country": "South Africa","Membership": "Non-Permanent", "Color": "#f03b20"}]} shapePropertyPath='name' shapeDataPath='Country' 
                   shapeSettings=>
            </LayerDirective>
        </LayersDirective>
    </MapsComponent>);
    }
}
export default App;

GeoJSON layers

Bind GeoJSON data to maps to render any geometric shape in SVG (Scalable Vector Graphics) for visualization of shapes. For example, render the world map or US map and customize it to your desired look using built-in options. Add any number of layers to the maps.

React Maps Library Bind GeoJSON data for free


React Maps is rendered with geometry type over OSM map

Geometry types

GeoJSON data contains geometry objects with properties such as geometry types and coordinates. The geometry types are the values present in the geometry objects of the GeoJSON data that specify the type of shape to be rendered, along with the coordinates that help to draw the shape’s boundary line. Polygon, MultiPolygon, LineString, MultiLineString, Point, MultiPoint, and GeometryCollection are the supported geometry types.


Geo-imagery visuals

Built-in support for external geospatial imagery services, such as Bing Maps and OpenStreetMap, is used to visualize satellite, aerial, and street maps, or other kinds of imagery tiles without any external shape inputs. Apart from Bing Maps and OpenStreetMap, users can also render maps from various map providers, for example, Google Maps Tile API, TomTom, Mapbox, Esri’s ArcGIS, etc. By using these external services, map data can be located easily.

React Maps Library Geo imagery visuals


Multiple layers in most popular React Maps library

Multi-layers

Using sublayer, a React Map can be created with multiple geometric layers in a single view. For example, render additional geographic features of a country such as rivers, valleys, and more as sublayer. You can also drill each layer.


Markers

Denote a place with symbols or mark messages at the desired latitude and longitude on a map using markers. For example, indicate a particular place on the US map using a balloon marker shape. Also, place any HTML element as a marker and add multiple markers to the map.

React Maps with multiple markers


React Maps is rendered with marker clustering option

Marker clustering

Display multiple markers in the same location by clustering the markers overlapping one another. For example, use markers to indicate the top 50 cities in the world. If a marker overlaps another, it will be clustered, and the total number of markers will be displayed over the cluster.


Data labels

Data labels on the map provide identification for the shapes by displaying their names. Trim or hide the labels at intersections with other labels and when they exceed shape bounds.

React Maps is rendered with data labels


React Maps is rendered with multiple bubbles

Bubbles

Create a simple React Map with bubbles to represent additional information about shapes such as population density, land area, and more. Bubbles are rendered with various magnitudes and colors based on the underlying data values of the shape.


Denote flight routes or shipping routes on a geographic map between two places. These connector lines link points on a map and can also be curved.

React Maps is rendered with navigation lines


Color mapping

Categorize the shapes on a map by customizing their color based on the underlying values. The React Maps component supports three types of color mapping: range color mapping, equal color mapping and desaturation color mapping.

Range color mapping is applied for the shapes in React Maps

Range color mapping

Apply colors to the shapes by comparing their values with a desired numeric range. For example, apply colors to the states in the US based on population density.

Equal color mapping is applied to the shapes in React Maps

Equal color mapping

Differentiate a shape’s fill based on its underlying values and colors using equal color mapping. For example, apply colors to the states in the US based on a winning election candidate.

Desaturation color mapping is applied to the shapes in React Maps

Desaturation color mapping

Change the opacity of the shapes by comparing their values with a desired numeric range. Minimum and maximum opacity of the shapes can be customized.

Desaturation color mapping with multiple colors is applied to the shapes in React Maps

Desaturation with multiple colors

Apply multiple colors to a shape from a gradient by comparing their values with a desired numeric range. Any number of colors can be specified for creating the gradient.


Legend

Legends provide valuable information for interpreting the map with various colors, shapes, or other identifiers based on data and application needs. There are two types of legends: Default and Interactive.

React Maps is rendered with default legend items

Default

A map with a legend contains swatches of symbols with descriptions to denote the categories of shapes.

React Maps is rendered with interactive legend

Interactive

Use a React Map with an interactive legend to find the range of an underlying shape’s value on mouse hover.


Zooming and panning

Zoom a React Map for close-up analysis by pinching the map, scrolling the mouse wheel, clicking the shapes, or using the zooming toolbar. Pan the map for easy navigation across regions. Change the zoom level of the initial rendering.

Zooming and panning is enabled in the React Maps


Displays a tooltip on moving mouse over the React Maps

Tooltip

The tooltip displays details about the shape value on mouse hover. Tooltips are also displayed for markers and bubbles on a map.


Drill-down

Drill-down the rendered React Maps to display a different shape data located on another layer. For example, in the initial layer render the world map and on clicking a particular continent, render it separately on another layer.

React Maps is rendered with multiple layers and enabled drill-down option


Particular shape is selected in the rendered React Maps

Selection and highlight

Select a particular shape on mouse click or highlight on mouse hover to bring the focus to the other shapes on a map.


Custom shapes

Create a React Map with custom shapes by rendering personalized GeoJSON data to indicate building infrastructure, points of interest, flight/bus seat arrangement, cricket stadium, and more.

Bus seat selection is simulated in the React Maps


React Maps is rendered with annotation which has direction compass image

Annotations

Display any HTML element as an annotation at a specific point of interest on a React Map. For example, place a compass image on the map using an annotation. You can add multiple annotations to a map.


Projection

Change the projection of the default rendering of a map. The React Maps component supports various types of projections: Mercator, Rectangular, Miller, Eckert3, Eckert5, Eckert6, and Winkel3.


React Maps component is rendered with title and subtitle

Title and subtitle

Add title and subtitle to visualize additional information on the React Maps component. Fonts and alignment of the title and subtitle can also be customized.


Appearance

Customize the look and feel of a React Map by changing the fill color, background, border, and opacity of shapes. Almost all the elements in the React Maps are customizable. This component also provides built-in palettes with customizable options, by default.

React Maps is rendered with customized appearance


State persistence with React Maps Library

State persistence

State persistence allows the Maps component to maintain state by storing the most recent model value in browser cookies. When the appropriate setting is enabled, some of the Maps component model values are preserved even after the page is refreshed.


Exporting

Export or print the rendered React Maps to save a local copy for further use.

Export React Maps illustration

Export

Export the React Maps to a PDF document or in image formats such as SVG, PNG, and JPEG in client-side.

Print React Maps illustration

Print

Print the rendered React Maps directly from the browser.


Accessibility

Keyboard navigation in React Maps Library

Keyboard Navigation

The React Maps library ensures that every element is keyboard accessible. Major features like zooming, panning, shape selection, legend, and drill down can be performed using just keyboard shortcuts, no mouse interaction required. This helps in creating highly accessible applications using this component.

Accessibility in React Maps Library

Accessibility

The React Maps library has complete WAI-ARIA accessibility support. The Maps UI includes high-contrast visual elements that help visually impaired people have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.





Other supported frameworks

Maps component is also available in Blazor, Angular, Vue, and JavaScript frameworks. Check out the different Maps platforms in the following links:

Supported browsers

The React Maps Library works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers

80+ REACT UI COMPONENTS

Frequently Asked Questions

The Syncfusion React Maps component supports the following features:

  • GeoJSON data can be used to render geometric or custom shapes.
  • Ability to render maps from map providers like Bing, OpenStreetMap, and Google.
  • Markers can be added on maps at specified latitudes and longitudes.
  • Fast-paced performance on zooming and panning with elegant animation.
  • One of the best React Maps in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Support for all modern browsers.
  • Mobile-friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React Maps.

You can find our React Maps Library demo, which demonstrates how to render and configure Maps component.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile